com.aliyun.svideosdk.common.struct.effect

## Class ActionScale

- java.lang.Object
- - <any>
  - - com.aliyun.svideosdk.common.struct.effect.ActionScale

-     public class ActionScale
      extends <any>

  A class that defines scale animations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `mFromScale` The scale factor in the beginning.
    `protected float` | `mScaleAnchorBaseScale`
    `protected boolean` | `mScaleAnchorEnable`
    `protected float` | `mScaleAnchorX`
    `protected float` | `mScaleAnchorY`
    `protected float` | `mToScale` The scale factor in the end.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionScale()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFromScale()` Gets the initial scale factor.
    `float` | `getToScale()` Gets the target scale factor.
    `void` | `setFromScale(float mFromScale)` Sets the initial scale factor.
    `void` | `setScaleAnchorBaseScale(float baseScale)`
    `void` | `setScaleAnchorEnable(boolean scaleAnchorEnable)`
    `void` | `setScaleAnchorX(float scaleAnchorX)`
    `void` | `setScaleAnchorY(float scaleAnchorY)`
    `void` | `setToScale(float mToScale)` Sets the target scale factor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mFromScale

          protected float mFromScale

      The scale factor in the beginning.

    - #### mToScale

          protected float mToScale

      The scale factor in the end.

    - #### mScaleAnchorEnable

          protected boolean mScaleAnchorEnable

    - #### mScaleAnchorBaseScale

          protected float mScaleAnchorBaseScale

    - #### mScaleAnchorX

          protected float mScaleAnchorX

    - #### mScaleAnchorY

          protected float mScaleAnchorY

  - ### Constructor Detail

    - #### ActionScale

          public ActionScale()

  - ### Method Detail

    - #### getFromScale

          public float getFromScale()

      Gets the initial scale factor.
      Returns:
        The initial scale factor.

    - #### setFromScale

          public void setFromScale(float mFromScale)

      Sets the initial scale factor.
      Parameters:
        `mFromScale` -

    - #### getToScale

          public float getToScale()

      Gets the target scale factor.
      Returns:
        The target scale factor.

    - #### setToScale

          public void setToScale(float mToScale)

      Sets the target scale factor.
      Parameters:
        `mToScale` -

    - #### setScaleAnchorEnable

          public void setScaleAnchorEnable(boolean scaleAnchorEnable)

    - #### setScaleAnchorBaseScale

          public void setScaleAnchorBaseScale(float baseScale)

    - #### setScaleAnchorX

          public void setScaleAnchorX(float scaleAnchorX)

    - #### setScaleAnchorY

          public void setScaleAnchorY(float scaleAnchorY)